List All Wallets
curl --request GET \
--url https://app.toku.com/api/tokuApi/v1/getAllWallets \
--header 'Authorization: Bearer <token>' \
--header 'x-role-type: <x-role-type>'import requests
url = "https://app.toku.com/api/tokuApi/v1/getAllWallets"
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-role-type': '<x-role-type>', Authorization: 'Bearer <token>'}
};
fetch('https://app.toku.com/api/tokuApi/v1/getAllWallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.toku.com/api/tokuApi/v1/getAllWallets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-role-type: <x-role-type>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.toku.com/api/tokuApi/v1/getAllWallets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-role-type", "<x-role-type>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.toku.com/api/tokuApi/v1/getAllWallets")
.header("x-role-type", "<x-role-type>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.toku.com/api/tokuApi/v1/getAllWallets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-role-type"] = '<x-role-type>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"walletID": "770e8400-e29b-41d4-a716-446655440002",
"walletAddress": "0x1234567890abcdef1234567890abcdef12345678",
"name": "Primary ETH Wallet",
"network": "Ethereum",
"status": "CURRENT",
"nickName": "My Ledger",
"roleInOrgID": "660e8400-e29b-41d4-a716-446655440001",
"orgNetworkID": "880e8400-e29b-41d4-a716-446655440003",
"tokenTypeID": "990e8400-e29b-41d4-a716-446655440004"
}
]{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Wallets
List All Wallets
Returns all wallets across all recipients in your organization.
GET
/
getAllWallets
List All Wallets
curl --request GET \
--url https://app.toku.com/api/tokuApi/v1/getAllWallets \
--header 'Authorization: Bearer <token>' \
--header 'x-role-type: <x-role-type>'import requests
url = "https://app.toku.com/api/tokuApi/v1/getAllWallets"
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-role-type': '<x-role-type>', Authorization: 'Bearer <token>'}
};
fetch('https://app.toku.com/api/tokuApi/v1/getAllWallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.toku.com/api/tokuApi/v1/getAllWallets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-role-type: <x-role-type>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.toku.com/api/tokuApi/v1/getAllWallets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-role-type", "<x-role-type>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.toku.com/api/tokuApi/v1/getAllWallets")
.header("x-role-type", "<x-role-type>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.toku.com/api/tokuApi/v1/getAllWallets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-role-type"] = '<x-role-type>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"walletID": "770e8400-e29b-41d4-a716-446655440002",
"walletAddress": "0x1234567890abcdef1234567890abcdef12345678",
"name": "Primary ETH Wallet",
"network": "Ethereum",
"status": "CURRENT",
"nickName": "My Ledger",
"roleInOrgID": "660e8400-e29b-41d4-a716-446655440001",
"orgNetworkID": "880e8400-e29b-41d4-a716-446655440003",
"tokenTypeID": "990e8400-e29b-41d4-a716-446655440004"
}
]{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN Response
List of wallets
Example:
"770e8400-e29b-41d4-a716-446655440002"
Example:
"0x1234567890abcdef1234567890abcdef12345678"
Example:
"Primary ETH Wallet"
Example:
"Ethereum"
Available options:
CURRENT, PENDING, ARCHIVED, CANCELLED, REJECTED Example:
"CURRENT"
Example:
"My Ledger"
Example:
"660e8400-e29b-41d4-a716-446655440001"
Example:
"880e8400-e29b-41d4-a716-446655440003"
Example:
"990e8400-e29b-41d4-a716-446655440004"
